#ifndef DIALOGOPENCOMPANY_H
#define DIALOGOPENCOMPANY_H

#include <QDialog>

class QStandardItemModel;

namespace Ui
{
class dialogOpenCompany;
}

class dialogOpenCompany : public QDialog
{
    Q_OBJECT

public:
    explicit dialogOpenCompany(QWidget *parent = nullptr);
    ~dialogOpenCompany();

    void setData(QString Name, QString CIF, QString path);
private slots:
    void on_buttonOpen_released();

    void on_listView_doubleClicked(const QModelIndex &index);

private:
    Ui::dialogOpenCompany *ui;
    QStandardItemModel *model;
};

#endif // DIALOGOPENCOMPANY_H
